<?php 
namespace Concrete\Package\AddonLister;
defined('C5_EXECUTE') or die("Access Denied.");

use Package;
use BlockType;
use SinglePage;
use Page;
use Database;
use \Concrete\Core\Page\Controller\DashboardPageController;

class Controller extends Package 
{
	
	protected $pkgHandle = 'addon_lister';
	protected $appVersionRequired = "5.7.1";
	protected $pkgVersion = "2.0.1";


	public function getPackageDescription()
	{
		return t( "display a list of installed addons within a block !" );
	}

	public function getPackageName()
	{
		return t( "Addons Lister" );
	}

	public function install()
	{
		$pkg = parent::install();

		BlockType::installBlockTypeFromPackage( "addons_list", $pkg );
	}

	public function uninstall() 
	{
		parent::uninstall();

		$db = Database::getActiveConnection();
		$db->Execute( 'DROP TABLE IF EXISTS btAddonsList' );
	}
}

// vim: set noexpandtab ts=4 :
